Subject: Re: HEADS UP: deprecation and removal of xorg 6.9
To: Tobias Nygren <>
From: Steven M. Bellovin <>
List: pkgsrc-users
Date: 08/08/2007 11:14:48
On Wed, 8 Aug 2007 16:16:19 +0200
Tobias Nygren <> wrote:

> Hi pkgsrc users,
> Is anyone who is tracking pkgsrc-current still using xorg 6.9? We are
> considering to remove it soon. I expect pkgsrc-2007Q3 will ship
> without it. If you are still using X11_TYPE=xorg on pkgsrc-current
> you are strongly advised to upgrade to X11_TYPE=modular at this point.
> Note however that this does not affect installations that use native
> X11, e.g. XFree86 based in /usr/X11R6. Those installations will
> continue to work. This includes any NetBSD installations that use X11
> sets shipped with the base system.
> Upgrading from X11_TYPE=xorg to X11_TYPE=modular means that you must
> remove all xorg packages and those packages that depend on it. Also
> make sure that X11BASE is not set in mk.conf.
> The packages you need for a "complete" modular installation are:
> meta-pkgs/modular-xorg-apps
> meta-pkgs/modular-xorg-fonts
> meta-pkgs/modular-xorg-drivers
> x11/modular-xorg-server
> x11/xterm
> Please let us know if you come across any problems when upgrading.

What about applications in pkgsrc that don't build with modular xorg?
I've had problems with vnc and (I think; I haven't verified it yet)
scsl-jre15.  I know others have reported the vnc problem.

		--Steve Bellovin,